Status: Closed

Priority: Normal

Assignee:

Category: Map Canvas

Affected QGIS version:3.0.0 Regression?: No

Operating System: WIndows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: wontfix

Crashes QGIS or corrupts data:No Copied to github as #: 26482

Description

I haven't been able to identify what is causing this but it has happened to me several times now that I finish a map layout in Print

Composer, export it, save it and close, and when I open the same project a few days later there's no layouts in the print composer at all.

The first time this happened to me was when I was testing QGIS 2.99. I didn't report it at that time because I thought it was my fault. But

these last month I have been using QGIS 3.0 (I still use 2.18 for most of my work) for some of my projects and noticed this happening a

lot more. I think there might be an issue when a layout is created in QGIS 2.18 and then the project is open with 3.0 or viceversa.

History

#1 - 2018-04-02 06:28 AM - Nyall Dawson

- Status changed from Open to Feedback

Can you share the project (where they've gone missing)?

#2 - 2018-08-04 09:01 AM - Gavin Kinsley

- File Qgis_layout_test_saved_from_3.2_as_QGS.qgs added

- File Qgis_layout_test_saved_from_Qgis3.2_to_QGis3.2.qgz added

- File Qgis_layout_test_created_in_2.18_straight_save_from_3.2.qgs added

- File Qgis_layout_test_created_in_2.18.qgs added

The layouts are lost when saving from QGIS 3.2 to QGIS 2.18.

See attached files and comments. 

I suggest that in QGIS 3.2, PROJECT>SAVE should automatically save to .qgz format (i.e. QGIS3). At present it goes to .qgs if the source is .qgs, and the

layouts are lost.

However, having a functioning Save As option to QGIS (rather than QGZ) would be a bonus.

#3 - 2018-08-04 10:29 AM - Nyall Dawson

- Status changed from Feedback to Closed

- Resolution set to wontfix

Ah, I didn't realise the issue was in opening 3.2 projects in 2.x. That's not supported, and qgis projects in general are not backwards compatible. They'll

open sometimes, but things will be lost.

The solution here is to avoid opening projects saved in a later version.
#4 - 2018-08-04 05:20 PM - Gavin Kinsley

Yes - could a warning be added when loading a file saved by a later version that data could be lost when saving?

Files

Qgis_layout_test_created_in_2.18.qgs 4.13 KB 2018-08-04 Gavin Kinsley

Qgis_layout_test_created_in_2.18_straight_save_from_3.2.qgs 7 KB 2018-08-04 Gavin Kinsley

Qgis_layout_test_saved_from_3.2_as_QGS.qgs 7 KB 2018-08-04 Gavin Kinsley

Qgis_layout_test_saved_from_Qgis3.2_to_QGis3.2.qgz 2.47 KB 2018-08-04 Gavin Kinsley
